# Generated by Django 3.2.4 on 2022-02-28 10:26

# Note: Since the introduction of `User.auth_backend_identifier`,
# the UserViaUser used to track id is no longer necessary.

from django.db import migrations


def convert_auth_backend_identifier(apps, se):
    UserViaUser = apps.get_model("pretix_via", "UserViaUser")
    for user in UserViaUser.objects.all():
        print(user, user.user_via_id)
        user.user.auth_backend_identifier = str(user.user_via_id)
        user.user.save()


class Migration(migrations.Migration):

    dependencies = [
        ("pretixbase", "0208_auto_20220214_1632"),
        ("pretix_via", "0007_teamviagroup_email"),
    ]

    operations = [
        migrations.RunPython(
            convert_auth_backend_identifier,
            migrations.RunPython.noop,
        ),
    ]
